AMSERVERCONFIG(8)

NAME
amserverconfig - program to setup initial Amanda configuration

SYNOPSIS

amserverconfig config [--template template] [--no-vtape] [--tapetype tapetype] [--tpchanger tpchanger] [--tapedev tapedev] [--changerfile changerfile] [--changerdev changerdev] [--labelstr labelstr] [--mailto mailto] [--dumpcycle dumpcycle] [--runspercycle runspercycle] [--runtapes runtapes] [--tapecycle tapecycle] [--help]

DESCRIPTION

After Amanda rpms are successfully installed, amserverconfig will setup initial Amanda configuration files. It will create /var/lib/amanda/guntar-lists directory if one does not exist. amserverconfig does not change existing Amanda configurations. amserverconfig must be run by user backup.

OPTIONS

Options may be abbreviated, as long as the abbreviation is not ambiguous. Option argument can either separated by '=' or a space. Example: --templ=harddisk --tapedev /dev/nst0

amserverconfig builds a new "config" Amanda configuration. Customize the configuration with the options below.

--template template
    build Amanda configuration with pre-configured template files. Currently, harddisk, single-tape, tape-changer and S3 are the valid inputs for this option. Pre-configured template files can be found in /var/lib/amanda/template.d. This option may be combined with other options.

    If tape-changer is chosen for this option, program mtx is required. amserverconfig will search for mtx in the following directory: "/usr/sbin", "/usr/local/sbin", "/usr/local/bin", "/usr/bin", "/bin" and backup's PATH.

    If harddisk is chosen and --no-vtape is not specified, amserverconfig will create and label virtual tape file://var/lib/amanda/vtapes/$config.

--no-vtape
    Do not create virtual tapes in the harddisk template case.

--tapedev tapedev
    The path name of non-rewinding tape device. default [file://var/lib/amanda/vtapes/$config]

--tpchanger tpchanger
    The name of the tape changer. default [chg-disk]

--changerdev changerdev
    A tape changer configuration parameter. default [/dev/null]

--changerfile changerfile
    A tape changer configuration parameter. default [/etc/amanda/$config/changer.conf]

--labelstr labelstr
    The tape label constraint regular expression. default [^$config-[0-9][0-9]*$]

    If this option is used with --template=harddisk, only alphanumeric string is supported.

--tapetype tapetype
    The type of tape drive associated with tapedev or tpchanger. default [HARDDISK]

--mailto mailto
    A space separated list of recipients for mail reports. default [backup]

--dumpcycle dumpcycle
    The number of days in the backup cycle. default [1week]

--runspercycle runspercycle
    The number of days in the backup cycle. default [5]

--runtapes runtapes
    The maximum number of tapes used in a single run. default [1]

--tapecycle tapecycle
    The size of tape rotation. default [25]

--help
    Display usage.

FILES

/var/lib/amanda/template.d
    Amanda configuration template files install location

/var/lib/amanda
    backup home directory

/var/lib/amanda/gnutar-lists
    A directory which contains backup timestamp and list of files backed up.

/etc/amanda/$config
    Amanda configuration files location for $config(e.g: DailySet1).

/etc/amanda/template.d
    A directory contains dumptypes and tapetypes files used by all Amanda configurations.

/etc/amandates
    Amanda file on the client. It keeps track of structures of previous dumps.

/tmp/amanda
    directory contains Amanda debug log files.

RETURN VALUE

On success, zero is returned. On error, 1 is returned.

SEE ALSO

amanda(8), amanda.conf(5), amaddclient(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHOR

Kevin Till <kevin.till@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)